extends RigidBody2D

export var min_vitesse = 175
export var max_vitesse = 225

func _ready():
	var mob_types = $AnimatedSprite.frames.get_animation_names() # liste des animations
	$AnimatedSprite.animation = mob_types[randi() % mob_types.size()] # choix d'une animation parmis la liste

func _on_VisibilityNotifier2D_screen_exited():
	queue_free()
